Cowdidocs
API ReferenceStatements

Get Statement

Get one of the caller's statements by id

GET
/v1/statements/{id}

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/statements/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "TRANSACTION_HISTORY",  "audience": "USER",  "status": "PENDING",  "parameters": {},  "data_as_of": "2019-08-24T14:15:22Z",  "documents": [    {      "format": "CSV",      "status": "PENDING",      "failure_reason": "string",      "failure_code": "TOO_MANY_ROWS"    }  ],  "requested_at": "2019-08-24T14:15:22Z",  "resource_id": "string"}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}